class CfgPatches {
	class tb_p_g17 {
		requiredaddons[] = {"A3_Weapons_F"};
		requiredversion = 0.1;
		units[] = {};
		weapons[] = {"tb_p_g17","tb_acc_pistolWeaponLight","tb_acc_m6x_F","tb_acc_m6x_L"};
		magazines[] = {};
	};
};

class CfgWeapons {
	class Pistol_Base_F;
	class hgun_P07_F : Pistol_Base_F {
		class WeaponSlotsInfo {
			class PointerSlot;
		};
	};
	class tb_p_g17 : hgun_P07_F {
		begin1[] = {"A3\sounds_f\weapons\pistols\rook40_st_1", 1.41254, 1, 700};
		begin2[] = {"A3\sounds_f\weapons\pistols\rook40_st_2", 1.41254, 1, 700};
		closure1[] = {"A3\sounds_f\weapons\closure\closure_handgun_3", 0.3, 1, 10};
		closure2[] = {"A3\sounds_f\weapons\closure\closure_handgun_3", 0.3, 1.1, 10};
		displayname = "Glock 17";
		model = "tb_p_g17\glock17";
		descriptionshort = "Semi-automatic pistol<br/>Caliber: 9x19mm";
		class Library {
			libtextdesc = "The G17 is a semi-automatic pistol. It is the first successful line of pistols with a polymer frame. Despite initial resistance of the customers to buy the plastic gun, these pistols controls 65 %% of the US handgun market.";
		};
		class WeaponSlotsInfo: WeaponSlotsInfo {
			class PointerSlot: PointerSlot {
				compatibleitems[] = {"tb_acc_pistolWeaponLight","tb_acc_m6x_F","tb_acc_m6x_L"};
				displayname = "Light/Laser Slot";
				linkproxy = "\A3\data_f\proxies\weapon_slots\SIDE";
			};
		};
	};
	
	class acc_flashlight {
		class ItemInfo {
			class FlashLight {
				class Attenuation;
			};
		};
	};
	class tb_acc_pistolWeaponLight : acc_flashlight {
		conefadecoef = 1;
		displayname = "Weapon light (Pistol)";
		descriptionShort = "Pistol Weapon light";
		scope = 0;
		class ItemInfo : ItemInfo {
			class FlashLight : FlashLight {
			ambient[] = {9, 7.5, 6};
			color[] = {1200, 1500, 1800};
			conefadecoef = 9;
			daylight = 0;
			direction = "flash";
			flaremaxdistance = "200.0f";
			flaresize = 0.5;
			innerangle = 10;
			intensity = 80;
			outerangle = 80;
			position = "flash dir";
			scale[] = {0};
			size = 1;
			useflare = 1;
				class Attenuation : Attenuation {
					hardlimitend = 75;
					hardlimitstart = 50;
					start = 0.5;
				};
			};
		};
	};
	class tb_acc_m6x_F : tb_acc_pistolWeaponLight {
		displayname = "Insight M6X F";
		scope = 2;
		descriptionShort = "Pistol Weapon light and laser module";
		model = "tb_p_g17\lightandlaser";
	};
	class acc_pointer_IR;
	class tb_acc_m6x_L : acc_pointer_IR {
		scope = 2;
		displayname = "Insight M6X L";
		model = "tb_p_g17\lightandlaser";
	};
};